Fetch activation
Request schema
Path parameters
ID of the activation to retrieve
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
GET /api/v2/activations/{activation_id} HTTP/1.1 Authorization: Bearer REPLACE_BEARER_TOKEN Host: app.getcensus.com
Responses
200
Outcome of the operation.
The unique identifier of this activation.
The name of this activation.
The group_id of the source connection associated with this activation.
The source connection associated with this activation.
The unique identifier of the source connection.
The name of the source connection.
The type of the source connection.
The destination connection details for this activation.
The unique identifier of the destination connection.
The type of the destination connection.
When the destination connection was created.
Indicates if the last connection test to this destination was successful.
Timestamp of when the last connection test was conducted on this destination.
Whether this destination is a file system destination (for example, S3, SFTP, Google Cloud Storage). When true, please provide the file path as the object full name for sync creation.
Connection-specific details for this destination.
additional property
Results from the last connection test.
Steps performed during the connection test.
The name of the test step.
The status of this step.
Error details if the step failed.
The error message.
{ "status": "success", "data": { "id": "glimmering_donkey", "name": "Google Sheets", "group_id": "abundant_giraffe", "source": { "id": 42, "name": "My Snowflake Warehouse", "type": "snowflake" }, "destination": { "id": 123, "type": "salesforce", "created_at": "2023-07-22T23:42:47.239Z", "last_test_succeeded": true, "last_tested_at": "2023-07-22T23:45:12.123Z", "is_file_system_destination": false, "connection_details": { "account_id": 7515011393, "account_name": "Manager Account Test" }, "last_test_results": { "steps": [ { "step": "Validate Credentials", "status": "success", "error": { "message": "Invalid API credentials" } } ] } } } }